mixin breadcrumb(spec)
	- spec = spec || {}
	- spec.__class = spec.__class || ''

	.breadcrumbs(class=spec.__class)&attributes(attributes)
		ul.breadcrumbs__list
			each item, index in spec.items
				li.breadcrumbs__item
					if index == 0
						a.breadcrumbs__link(href=item.url)
							span.icon.icon-leftward.mobile-only
							span.tablet-desktop= item.name
						span.icon.icon-single-angle-right.tablet-desktop
					else
						if index == spec.items.length - 1
							span.breadcrumbs__link.active.tablet-desktop
								span= item.name
						else
							a.breadcrumbs__link.tablet-desktop(href=item.url)
								span= item.name

								